Skip to main content

Sets (changes) the Work Profile of the specified user on the specified branch

PUT 

/rest/managementinformation/branches/:branchId/user/:username/profile/:workProfileId

deprecated

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

Sets (changes) the Work Profile of the specified user on the specified branch.

If the user is not active on a Service Point an error occurs. If there is no user with the specified username, a 404 will be returned. If the user is already using the specified work profile, nothing happens.

Note that this method will trigger a USER_SERVICE_POINT_WORK_PROFILE_SET event that the affected Web Service Point can subscribe to in order to perform UI updates.

Request​

Responses​

Success